Title: gimp-1.2.3 on hp-ux 10.20: 'd_color' isn't known

Hi,
I got the following error messages, if I compile gimp-1.2.3 on hp-ux 10.20


faxg3.c:61: parse error before "load_image"
faxg3.c:61: warning: type defaults to `int' in declaration of `load_image'
faxg3.c:61: warning: data definition has no type or storage class
faxg3.c:63: parse error before "emitgimp"
faxg3.c:63: warning: type defaults to `int' in declaration of `emitgimp'
faxg3.c:63: warning: data definition has no type or storage class
faxg3.c: In function `run':
faxg3.c:117: `gint32' undeclared (first use in this function)
faxg3.c:117: (Each undeclared identifier is reported only once
faxg3.c:117: for each function it appears in.)
faxg3.c:117: parse error before "image_ID"
faxg3.c:131: `image_ID' undeclared (first use in this function)
faxg3.c: At top level:
faxg3.c:177: parse error before "load_image"
faxg3.c:178: warning: return type defaults to `int'
faxg3.c:427: parse error before "emitgimp"
faxg3.c:428: warning: return type defaults to `int'
faxg3.c: In function `emitgimp':
faxg3.c:431: `gint32' undeclared (first use in this function)
faxg3.c:431: parse error before "image_ID"
faxg3.c:445: `image_ID' undeclared (first use in this function)
faxg3.c:448: `layer_ID' undeclared (first use in this function)
faxg3.c:455: dereferencing pointer to incomplete type
faxg3.c:455: dereferencing pointer to incomplete type
faxg3.c:493: warning: control reaches end of non-void function
faxg3.c: At top level:
../../libgimp/gimp.h:144: storage size of `d_color' isn't known
../../libgimp/gimp.h:145: storage size of `d_region' isn't known
../../libgimp/gimp.h:156: storage size of `d_parasite' isn't known
gmake[3]: *** [faxg3.o] Error 1
gmake[3]: Leaving directory `/users/mgansser/GNU/gimp-1.2.3/plug-ins/faxg3
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/users/mgansser/GNU/gimp-1.2.3/plug-ins'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/users/mgansser/GNU/gimp-1.2.3'
gmake: *** [all-recursive-am] Error 2



Information:

gcc-3.0.3
glib/gtk+-1.2.10

I set the following parameters in configure

   # HP-UX overrides
   CC="gcc"
   prefix="/opt/gimp-1.2.3"; RANLIB="/bin/true"
   CONFIG_SHELL="/bin/sh"

   # Extend PATH to pick up gtk-config, glib-config and perl5
   PATH="/opt/gtk+/bin:/opt/glib/bin:/opt/perl5/bin:$PATH" ; export PATH

   # Disable Perl stuff - means GIMP relies on Perl 5 and it also tries to
   # sneakily update the /opt/perl5 tree during "make install" while you're not
   # watching...
   enable_perl="no"

   # These flags work for HP-UX 10.X and 11.X (sorry, no more 9.X support)
   HPCFLAGS="-I/usr/include/X11R6 -I/usr/contrib/X11R6/include"
   XMULIBS="-lXmu -lXt -lSM -lICE"
   HPLDFLAGS="-L/usr/lib/X11R6 -L/usr/contrib/X11R6/lib"

   # Set HP-UX cpp and C flags
   CPPFLAGS="$HPCFLAGS -I/opt/gtk+/include -I/opt/glib/include -I/opt/tiff-3.5/include \
             -I/opt/jpeg-6/include -I/opt/xpm/include -I/opt/libpng/include -I/opt/mpeg_lib/include \
             -I/opt/zlib/include -I/opt/xdelta/include -I/opt/aalib/include -I/opt/gdbm/include -I/opt/gtkxmhtml/include"

   # CFLAGS="-O +Onolimit +ESlit -Ae $CPPFLAGS -Wp,-H70000"
   CFLAGS="-O2 $CPPFLAGS -D_HPUX_SOURCE"
   LDFLAGS="-O $HPLDFLAGS -L/usr/lib/X11R6 -L/opt/gtk+/lib -L/opt/glib/lib -L/opt/tiff-3.5/lib -L/opt/jpeg-6/lib \
            -L/opt/xpm/lib/X11 -L/opt/libpng/lib -L/opt/mpeg_lib/lib -L/opt/zlib/lib -L/opt/xdelta/lib -L/opt/aalib/lib \

            -L/opt/gdbm/lib -L/opt/gtkxmhtml/lib"
   export CFLAGS
   export LDFLAGS


Reply via email to